#!/usr/bin/python

from xml.dom.minidom import parseString
from base64 import b64decode

import sys
import zipfile
import urllib

filename = urllib.unquote(sys.argv[1]).replace('file:///', '/')

zip = zipfile.ZipFile(filename, "r")
fb2 = zip.read(zip.namelist()[0])

dom = parseString(fb2)

img_name = dom.getElementsByTagName("coverpage")[0].getElementsByTagName("image")[0].getAttribute("l:href")[1:]

image = ''

for bin in dom.getElementsByTagName("binary"):
	if bin.getAttribute("id") == img_name:
		image = bin.lastChild.data
		break

if image:
	data = b64decode(image)
	open(sys.argv[2], 'wb').write(data)
